Package org.jbpm.services.api

## Interface AdHocUserTaskService

- All Known Implementing Classes:
    `AdHocUserTaskServiceCDIImpl`, `AdHocUserTaskServiceImpl`

      public interface AdHocUserTaskService

  Service for adding and updating ad-hoc user tasks.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `addTask​(String taskName, int priority, Date dueDate, List<String> users, List<String> groups, String identity, String taskformName, String deploymentId, Long processInstanceId, Map<String,​Object> params, boolean autoStart, boolean autoClaim)` | Adds a new ad-hoc task.
    `long` | `addTask​(org.kie.api.task.model.Task task, Map<String,​Object> params)` | Adds a new ad-hoc task.
    `void` | `updateTask​(long taskId, int priority, String taskDescription, Date dueDate)` | Updates and existing task.

- - ### Method Detail

    - #### addTask

          long addTask​(org.kie.api.task.model.Task task,
                       Map<String,​Object> params)

      Adds a new ad-hoc task.
      Parameters:
        `task` -
        `params` -
      Returns:
        task identifier

    - #### addTask

          long addTask​(String taskName,
                       int priority,
                       Date dueDate,
                       List<String> users,
                       List<String> groups,
                       String identity,
                       String taskformName,
                       String deploymentId,
                       Long processInstanceId,
                       Map<String,​Object> params,
                       boolean autoStart,
                       boolean autoClaim)

      Adds a new ad-hoc task.
      Parameters:
        `taskName` -
        `priority` -
        `dueDate` -
        `users` -
        `groups` -
        `identity` -
        `taskformName` -
        `deploymentId` -
        `processInstanceId` -
        `params` -
        `autoStart` -
        `autoClaim` -
      Returns:
        task identifier

    - #### updateTask

          void updateTask​(long taskId,
                          int priority,
                          String taskDescription,
                          Date dueDate)

      Updates and existing task.
      Parameters:
        `taskId` -
        `priority` -
        `taskDescription` -
        `dueDate` -